## org.eclipse.datatools.sqltools.sqleditor.internal.matching
Class GeneralMatchingPairs

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.matching.AbstractMatchingPairs
          org.eclipse.datatools.sqltools.sqleditor.internal.matching.GeneralMatchingPairs

All Implemented Interfaces:
  IMatchingPairs

    public class GeneralMatchingPairs

extends AbstractMatchingPairs

The general matching rule just supports brackets.

Author:
  juewu

Method Summary
`static GeneralMatchingPairs` `getInstance()`

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.internal.matching.AbstractMatchingPairs
`getMatchingPattern, getMatchingPatternClosure, isLeftToken, isSupportedToken`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static GeneralMatchingPairs getInstance()